package cn.exploring.engine.server.db.util;

import org.apache.commons.lang3.StringUtils;

import java.util.Optional;

public class SqlUtil {

    public static String likeStr(String str) {
        return Optional.ofNullable(str)
                .filter(StringUtils::isNotBlank)
                .map(String::trim)
                .map(s -> StrUtil.format("%{}%", s.replaceAll("\\s+", "%")))
                .orElse("%");
    }

}
